Browser
Browser List Sessions
GET
/browser/sessionsAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Query Parameters
state?string
Value in
- "PENDING"
- "STARTING"
- "READY"
- "CLOSING"
- "CLOSED"
- "FAILED"
q?string
Match part of a session ID.
created_after?string
Sessions created at or after this ISO 8601 time.
created_before?string
Sessions created before this ISO 8601 time.
tag?string
Only sessions tagged with this metadata, as key:value.
cursor?string
limit?
Range
1 <= value <= 100Default
50Response Body
application/json
curl -X GET "https://example.com/browser/sessions"{ "data": { "items": [ { "cdp_url": "string", "close_reason": "string", "closed_at": "string", "country": "string", "created_at": "string", "credits_charged": 0, "expires_at": "string", "id": "string", "idle_timeout_seconds": 0, "live_view_url": "string", "metadata": { "property1": "string", "property2": "string" }, "proxy": "none", "record": true, "route": "string", "state": "string", "usage": { "active_ms": 0, "credits_so_far": 0, "direct_bytes": "string", "proxied_bytes": "string" } } ], "next_cursor": "string" }, "success": true}